summaryrefslogtreecommitdiff
path: root/dev-ruby/gnuplot
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-ruby/gnuplot
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-ruby/gnuplot')
-rw-r--r--dev-ruby/gnuplot/Manifest1
-rw-r--r--dev-ruby/gnuplot/gnuplot-2.6.2-r4.ebuild36
-rw-r--r--dev-ruby/gnuplot/metadata.xml8
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-ruby/gnuplot/Manifest b/dev-ruby/gnuplot/Manifest
new file mode 100644
index 000000000000..e6724ed38220
--- /dev/null
+++ b/dev-ruby/gnuplot/Manifest
@@ -0,0 +1 @@
+DIST gnuplot-2.6.2.gem 13824 BLAKE2B 5fe89c44bcfc8f73e4685fbf8300b5a43845ed8292db84bf3b21f884656a8cf29623bdef37fd4aebbb54ef1a582567fd2c12029a2e4584a92b52f66dad3b8e4f SHA512 bcc9dbdade4fdcaa590006ca925c4f1eb71b4c7d6235c948266a185c937d991ff559a1749f33993baca4437252afdfa7bde1a43c6e05dc6f180e9e7b06a4a8e6
diff --git a/dev-ruby/gnuplot/gnuplot-2.6.2-r4.ebuild b/dev-ruby/gnuplot/gnuplot-2.6.2-r4.ebuild
new file mode 100644
index 000000000000..f7b500848fb8
--- /dev/null
+++ b/dev-ruby/gnuplot/gnuplot-2.6.2-r4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="AUTHORS.txt ChangeLog README.textile"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Gnuplot drawing library - Ruby Bindings"
+HOMEPAGE="https://rubygems.org/gems/gnuplot"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+RDEPEND="sci-visualization/gnuplot"
+
+ruby_add_bdepend "test? ( dev-ruby/matrix )"
+
+all_ruby_prepare() {
+ # Existing metadata causes a crash in jruby, so use our own.
+ rm -f ../metadata || die "Unable to remove metadata."
+
+ sed -i -e 's/Config/RbConfig/' test/test_gnuplot.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ctest test_gnuplot.rb || die
+}
diff --git a/dev-ruby/gnuplot/metadata.xml b/dev-ruby/gnuplot/metadata.xml
new file mode 100644
index 000000000000..daac6fdb7252
--- /dev/null
+++ b/dev-ruby/gnuplot/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+</pkgmetadata>